Bug 74620 - PackageKit should include the summary in Details
Summary: PackageKit should include the summary in Details
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-06 15:08 UTC by Giovanni Campagna
Modified: 2014-02-25 11:48 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Include summary in PkDetails (7.73 KB, patch)
2014-02-24 17:28 UTC, Giovanni Campagna
Details | Splinter Review
pkcon: print summary in get-details (1.61 KB, patch)
2014-02-24 17:28 UTC, Giovanni Campagna
Details | Splinter Review
Update internal API and backends for Details change (16.80 KB, patch)
2014-02-24 17:28 UTC, Giovanni Campagna
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Campagna 2014-02-06 15:08:17 UTC
The Details structure, which is used to return from GetDetails() and GetDetailsLocal(), does not include the package summary, which is supposed to contain the human readable name.

For packages from the repository, this forces the client to another expensive Resolve() call, but for local packages it becomes impossible to retrieve.

Unfortunately, fixing this properly would require an ABI break, because the PackageKit dbus interface is not flexible enough.
If that's ok, I can probably prepare some patches, for the client, daemon and yum/hawkey backends.
Comment 1 Richard Hughes 2014-02-07 13:12:53 UTC
I'm thinking we should probably switch this to a{sv} or something...
Comment 2 Giovanni Campagna 2014-02-24 17:28:02 UTC
Created attachment 94671 [details] [review]
Include summary in PkDetails

The package summary is already part of PkPackage, but to get that
one needs a separate Resolve() call, and it doesn't work for
GetDetailsLocal().
Comment 3 Giovanni Campagna 2014-02-24 17:28:24 UTC
Created attachment 94673 [details] [review]
pkcon: print summary in get-details

Now that we have it, include it toghether with the other details.
Comment 4 Giovanni Campagna 2014-02-24 17:28:49 UTC
Created attachment 94674 [details] [review]
Update internal API and backends for Details change

Include a summary argument to pk_backend_job_details (and the
python wrapper), and fill it for the hawkey, yum and dummy plugins.
Other backends need to be updated.
Comment 5 Richard Hughes 2014-02-25 10:45:50 UTC
I've pushed all three patches to master, thanks. I've modified the middle one a bit to remove the backwards compat (we only support lib == daemon versions) and also to update the introspection with reality.

Thanks.

Richard.
Comment 6 Richard Hughes 2014-02-25 11:48:00 UTC
You were right: commit 1bfd8c066107d2d676b012ebcb2a7c1297476864
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Feb 25 11:47:25 2014 +0000

    lib: Support an old daemon for PkDetails and new library versions
    
    We can revert this patch from Giovanni when PackageKit-Qt has been ported and
    we've released a new upstream version.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.